Bug 120221 - Internal compiler error when compiling DC++ 4.01
Internal compiler error when compiling DC++ 4.01
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-06 18:09 EDT by Janus N. Tøndering
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 3.3.3-6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-27 07:36:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Janus N. Tøndering 2004-04-06 18:09:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040207 Firefox/0.8

Description of problem:
compiling the file client/HashManager.o:
g++    -c -o HashManager.o HashManager.cpp
[some warnings removed]
HashManager.cpp: In member function `void HashManager::HashStore::save()':
HashManager.cpp:146: internal compiler error: in find_function_data, at
   function.c:313
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/cci9njFX.out file, please attach
this to your bugreport
make: *** [HashManager.o] Error 1




Version-Release number of selected component (if applicable):
gcc-c++-3.3.3-3

How reproducible:
Always

Steps to Reproduce:
cd client/
g++    -c -o HashManager.o HashManager.cpp
Comment 1 Jakub Jelinek 2004-04-06 18:13:29 EDT
Please attach /tmp/cci9njFX.out.
Comment 2 Janus N. Tøndering 2004-04-06 18:22:53 EDT
/tmp/cci9njFX.out: http://www.daimi.au.dk/~janus/cci9njFX.out
Comment 3 Jakub Jelinek 2004-04-07 09:41:40 EDT
Filed upstream: http://gcc.gnu.org/PR14877
Comment 4 Jakub Jelinek 2004-05-27 07:36:37 EDT
Should be fixed in gcc-c++-3.3.3-6 and later.

Note You need to log in before you can comment on or make changes to this bug.